- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TelnetTransport Class Reference

Use TelnetTransport to easily allow windows telnet to connect to your ConsoleServer To run Windows telnet, go to your start menu, click run, and in the edit box type "telnet <IP>" where <IP> is the ip address of your ConsoleServer (most likely the same IP as your game). This implementation always echos commands. More...

`#include <TelnetTransport.h>`

Inheritance diagram for TelnetTransport:

List of all members.

## Public Member Functions
bool | Start (unsigned short port, bool serverMode)
void | Stop (void)
| Stop the transport provider. You can clear memory and shutdown threads here.
void | Send (PlayerID playerId, const char *data,...)
void | CloseConnection (PlayerID playerId)
Packet * | Receive (void)
void | DeallocatePacket (Packet *packet)
PlayerID | HasNewConnection (void)
PlayerID | HasLostConnection (void)
CommandParserInterface * | GetCommandParser (void)
## Protected Member Functions
void | AutoAllocate (void)
bool | ReassembleLine (TelnetTransport::TelnetClient *telnetClient, unsigned char c)
## Protected Attributes
TCPInterface * | tcpInterface
DataStructures::List< TelnetClient * > | remoteClients
## Classes
struct | TelnetClient

## Detailed Description

Use TelnetTransport to easily allow windows telnet to connect to your ConsoleServer To run Windows telnet, go to your start menu, click run, and in the edit box type "telnet <IP>" where <IP> is the ip address of your ConsoleServer (most likely the same IP as your game). This implementation always echos commands.

## Member Function Documentation

void TelnetTransport::CloseConnection | ( | PlayerID | playerId | ) | `[virtual]`

  | Disconnect playerId . The binary address and port defines the PlayerID structure. Parameters:
  `[in]` | playerId | The player/address to disconnect
Implements TransportInterface.

void TelnetTransport::DeallocatePacket | ( | Packet * | packet | ) | `[virtual]`

  | Deallocate the Packet structure returned by Receive Parameters:
  `[in]` | The | packet to deallocate
Implements TransportInterface.

CommandParserInterface * TelnetTransport::GetCommandParser | ( | void |  | ) | `[virtual]`

| Your transport provider can itself have command parsers if the transport layer has user-modifiable features For example, your transport layer may have a password which you want remote users to be able to set or you may want to allow remote users to turn on or off command echo Returns: 0 if you do not need a command parser - otherwise the desired derivation of CommandParserInterface Implements TransportInterface.

PlayerID TelnetTransport::HasLostConnection | ( | void |  | ) | `[virtual]`

| If a system loses the connection, you should queue that event and return the playerId/address of that player in this function. Returns: The PlayerID/address of the system Implements TransportInterface.

PlayerID TelnetTransport::HasNewConnection | ( | void |  | ) | `[virtual]`

| If a new system connects to you, you should queue that event and return the playerId/address of that player in this function. Returns: The PlayerID/address of the system Implements TransportInterface.

Packet * TelnetTransport::Receive | ( | void |  | ) | `[virtual]`

| Return a string. The string should be allocated and written to Packet::data . The byte length should be written to Packet::length . The player/address should be written to Packet::playerid If your transport protocol adds special formatting to the data stream you should parse it out before returning it in the packet and thus only return a string in Packet::data Returns: The packet structure containing the result of Receive, or 0 if no data is available Implements TransportInterface.

void TelnetTransport::Send | ( | PlayerID | playerId,
|  | const char * | data,
|  |  | ...
| ) | `[virtual]`

  | Send a null-terminated string to playerId If your transport method requires particular formatting of the outgoing data (e.g. you don't just send strings) you can do it here and parse it out in Receive(). Parameters:
  `[in]` | playerId | The player to send the string to
  `[in]` | data | format specifier - same as printf
  `[in]` | ... | format specification arguments - same as printf
Implements TransportInterface.

bool TelnetTransport::Start | ( | unsigned short | port,
|  | bool | serverMode
| ) | `[virtual]`

  | Start the transport provider on the indicated port. Parameters:
  `[in]` | port | The port to start the transport provider on
  `[in]` | serverMode | If true, you should allow incoming connections (I don't actually use this anywhere)
Returns: Return true on success, false on failure. Implements TransportInterface.

The documentation for this class was generated from the following files:

- C:/RakNet 2.518/Include/TelnetTransport.h
- C:/RakNet 2.518/Source/TelnetTransport.cpp